org.eclipse.net4j.db.dml

## Interface IDBParameter

- Deprecated.

      @Deprecated
      public interface IDBParameter

  A parameter specification in a `DB statement`.
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getPosition()` Deprecated. Returns the zero based position of this parameter within the `parameters` list of the containing `statement`.
    `IDBStatement` | `getStatement()` Deprecated.
    `DBType` | `getType()` Deprecated.

- - ### Method Detail

    - #### getStatement

          IDBStatement getStatement()

      Deprecated.

    - #### getPosition

          int getPosition()

      Deprecated.
      Returns the zero based position of this parameter within the `parameters` list of the containing `statement`.

    - #### getType

          DBType getType()

      Deprecated.

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html